tez-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From László Bodor (Jira) <j...@apache.org>
Subject [jira] [Comment Edited] (TEZ-4100) Upgrade to hadoop 3.1.3
Date Wed, 20 Nov 2019 17:26:00 GMT

    [ https://issues.apache.org/jira/browse/TEZ-4100?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16977623#comment-16977623
] 

László Bodor edited comment on TEZ-4100 at 11/20/19 5:25 PM:
-------------------------------------------------------------

[~jeagles]
i think OOZIE-3488 could be a good example for getting rid of some guava dependencies

"If Tez upgrades, then users using older versions of guava will no longer work"
I understand this scenario, however IMO there should be a point where tez will follow hadoop
even if it breaks users using older guava, does it make sense? I mean, let's say some next
tez upstream release, which officially supports hadoop 3.3.x (as Hadoop community already
upgraded guava in the scope of HADOOP-16210)


was (Author: abstractdog):
i think OOZIE-3488 could be a good example for getting rid of some guava dependencies

> Upgrade to hadoop 3.1.3
> -----------------------
>
>                 Key: TEZ-4100
>                 URL: https://issues.apache.org/jira/browse/TEZ-4100
>             Project: Apache Tez
>          Issue Type: Improvement
>            Reporter: László Bodor
>            Assignee: László Bodor
>            Priority: Major
>         Attachments: TEZ-4100.01.patch
>
>




--
This message was sent by Atlassian Jira
(v8.3.4#803005)

Mime
View raw message